DPMSForceLevel(3) | Library Functions Manual | DPMSForceLevel(3)

# NAME

DPMSForceLevel - forces a DPMS capable display into the specified power level

# SYNOPSIS

    cc [ flag ... ] file ... -lXext [ library ... ]
    #include <X11/extensions/dpms.h>

    Status DPMSForceLevel ( Display *display, CARD16 level );

# ARGUMENTS

display
  Specifies the connection to the X server
level
  Specifies the level to force power to

# DESCRIPTION

The DPMSForceLevel function forces a DPMS capable display into the specified power level. The level must be one of following four states: DPMSModeOn, DPMSModeStandby, DPMSModeSuspend, or DPMSModeOff. Values other than these will result in a BadValue error. If DPMS is disabled on the display, trying to set the power level on the display will result in a BadMatch protocol error.

# RETURN VALUES

TRUE
  The DPMSForceLevel function always returns TRUE.

# ERRORS

BadValue
  A level other than DPMSModeOn, DPMSModeStandby, DPMSModeSuspend, or DPMSModeOff was specified.
BadMatch
  DPMS is disabled on the specified display.

# SEE ALSO

DPMSCapable(3), DPMSInfo(3), DPMSGetTimeouts(3), DPMSSetTimeouts(3)

X Version 11 | X FUNCTIONS